DEBSUMS(1)

NOMBRE
debsums - Una herramienta para revisar las sumas de control MD5 de los paquetes de Debian instalados

SINOPSIS
debsums [opciones] [paquete|deb] ...

DESCRIPCIÓN
Comparar los archivos de paquetes de Debian instalados con las listas de sumas de control MD5 presentes en «/var/lib/dpkg/info/*.md5sums».

debsums puede generar listas de sumas de control a partir de los archivos deb para aquellos paquetes que no lo incluyen.

OPCIONES

-a, --all
    Comprueba también los archivos de configuración (generalmente excluidos).

-e, --config
    Comprueba sólo los archivos de configuración.

-c, --changed
    Informa de cambios en la lista de archivos a través de la salida estándar (implica -s).

-l, --list-missing
    Crea una lista de paquetes (o deb) que no tienen un archivo de suma de control MD5.

-s, --silent
    Informa sólo de errores

-m, --md5sums=archivo
    Lee la lista de sumas de control MD5 de paquetes deb desde archivo.

-r, --root=dir
    El directorio raíz que desea revisar («/» por omisión)

-d, --admindir=dir
    directorio administrativo de dpkg («/var/lib/dpkg» por omisión).

-p, --deb-path=dir[:dir...]
    Directorios en los que buscar paquetes deb derivados del nombre del paquete (el directorio actual es el predeterminado)

    Cuando use apt-get autoclean, o si no limpia nunca el almacén de ninguna forma, una valor útil es «/var/cache/apt/archives». La orden:

        apt-get --reinstall -d install `debsums -l`

    se puede emplear para llenar el almacén con cualquier paquete deb que no esté presente en el almacén.

    Nota: Esto no funciona con discos compactos y otras fuentes locales debido a que los paquetes no se copian al almacén en «/var/cache». Las fuentes de archivo sencillas (todos los paquetes en un sólo directorio) se han de añadir a la lista de -p.

-g, --generate=[missing|all][,nocheck]
    Genera sumas de control MD5 a partir de los contenidos de un archivo deb. Si el argumento es un nombre de paquete en lugar de un archivo deb, el programa buscará un archivo deb denominado paquete_versión_arq.deb en los directorios introducidos con la opción -p.

    missing
        Genera sumas de control MD5 desde el archivo deb para los paquetes que no proporcionan uno.

    all Ignora la suma de control almacenada en el disco y utilizar el que se incluye en el deb, a la generada a partir de este si no existe ninguna.

    nocheck
        Las sumas de control extraídas/generadas no se comparan con el paquete instalado.

    Para mantener la compatibilidad inversa, la opción corta -g equivale a --generate=missing.

--no-locale-purge
    Informa de archivos de locale (configuración regional) ausentes aunque localepurge esté configurado.

--no-prelink
    Informa de archivos ELF modificados incluso si prelink ya se ha configurado.

--ignore-permissions
    Trata los errores de permisos como avisos cuando se ejecuta sin permisos de administrador.

--ignore-obsolete
    Ignore obsolete conffiles.

--help
--version
    Muestra la ayuda y la versión.

ESTADOS DE SALIDA
debsums devuelve 0 si tiene éxito, o una combinación* de los siguientes valores en caso de error:

1   Un paquete o nombre de archivo especificado no se ha instalado, es inválido o la versión instalada no se corresponde con el archivo introducido.

2   Hay archivos del paquete modificados o ausentes, o una incongruencia entre las sumas de control realizadas a un archivo.

255 La opción es inválida.

*Si las dos primeras condiciones son «true» (verdadero), el valor de salida será 3.

EJEMPLOS

debsums foo bar
    Revisa las sumas de control de los paquetes instalados foo y bar.

debsums foo.deb bar.deb
    Usa las sumas de control de (o generadas a partir de) los archivos.

debsums -l
    Muestra los paquetes instalados sin sumas de control.

debsums -ca
    Muestra los archivos modificados de paquetes de todos los paquetes instalados con sumas de control.

debsums -ce
    Crea una lista de los archivos de configuración modificados.

debsums -cagp /var/cache/apt/archives
    Usar las sumas de control de los paquetes deb presentes en el almacén si están disponibles.

apt-get install --reinstall $(dpkg -S $(debsums -c) | cut -d : -f 1 | sort -u)
    Reinstala paquetes con ficheros modificados.

RESULTADOS

CORRECTO
    La suma de control MD5 del fichero es correcta.

FALLO
    La suma de control MD5 del fichero no concuerda.

REEMPLAZADO
    El fichero ha sido reemplazado con un fichero de un paquete distinto.

VÉASE TAMBIÉN
md5sum(1),

ENTORNO

TMPDIR
    El directorio usado para extraer la información y contenidos de un paquete («/tmp» por omisión).

ADVERTENCIAS
Mientras que el programa se puede ejecutar normalmente en modo usuario, algunos paquetes contienen archivos que no se pueden leer globalmente, y por ello nose pueden revisar. Los privilegios se requieren también cuando genera sumas de control con la opción keep presente.

Puede que aquellos archivos que se han reemplazado por otro paquete se consideren erróneamente como modificados.

Básicamente, debsums se ha creado principalmente como una manera de determinar qué archivos instalados se han modificado por el administrador o se han dañado por errores de dispositivos, y tiene un uso limitado como herramienta de seguridad.

Si busca un programa para la verificación de integridad que se puedaejecutar desde un dispositivo seguro, que realice verificaciones de integridadde bases de datos de sumas de control y que sea fácilmente configurable paraque se ejecute con regularidad, y así avisar de cambios al administrador, véase otras herramientas tales como: aide, integrit, samhain, o tripwire.

AUTOR
Creado por Brendan O'Dea <bod@debian.org>.
Basado en un programa de Christoph Lameter <clameter@debian.org> y Petr Cech <cech@debian.org>.

COPYRIGHT
Copyright © 2002 Brendan O'Dea <bod@debian.org>
This is free software, licensed under the terms of the GNU General Public License. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.